## Replace a meeting `client.RealtimeKit.Meetings.ReplaceMeetingByID(ctx, appID, meetingID, params) (*MeetingReplaceMeetingByIDResponse, error)` **put** `/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}` Replaces all the details for the given meeting ID. ### Parameters - `appID string` The app identifier tag. - `meetingID string` - `params MeetingReplaceMeetingByIDParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `AIConfig param.Field[MeetingReplaceMeetingByIDParamsAIConfig]` Body param: The AI Config allows you to customize the behavior of meeting transcriptions and summaries - `Summarization MeetingReplaceMeetingByIDParamsAIConfigSummarization` Summary Config - `SummaryType MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType` Defines the style of the summary, such as general, team meeting, or sales call. - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeGeneral MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "general"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeTeamMeeting MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "team_meeting"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeSalesCall MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "sales_call"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeClientCheckIn MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "client_check_in"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeInterview MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "interview"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeDailyStandup MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "daily_standup"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeOneOnOneMeeting MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "one_on_one_meeting"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeLecture MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "lecture"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryTypeCodeReview MeetingReplaceMeetingByIDParamsAIConfigSummarizationSummaryType = "code_review"` - `TextFormat MeetingReplaceMeetingByIDParamsAIConfigSummarizationTextFormat` Determines the text format of the summary, such as plain text or markdown. - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationTextFormatPlainText MeetingReplaceMeetingByIDParamsAIConfigSummarizationTextFormat = "plain_text"` - `const MeetingReplaceMeetingByIDParamsAIConfigSummarizationTextFormatMarkdown MeetingReplaceMeetingByIDParamsAIConfigSummarizationTextFormat = "markdown"` - `WordLimit int64` Sets the maximum number of words in the meeting summary. - `Transcription MeetingReplaceMeetingByIDParamsAIConfigTranscription` Transcription Configurations - `Keywords []string` Adds specific terms to improve accurate detection during transcription. - `Language MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage` Specifies the language code for transcription to ensure accurate results. - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageEnUs MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "en-US"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageEnIn MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "en-IN"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageDe MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "de"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageHi MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "hi"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageSv MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "sv"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageRu MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "ru"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguagePl MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "pl"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageEl MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "el"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageFr MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "fr"` - `const MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguageNl MeetingReplaceMeetingByIDParamsAIConfigTranscriptionLanguage = "nl"` - `ProfanityFilter bool` Control the inclusion of offensive language in transcriptions. - `LiveStreamOnStart param.Field[bool]` Body param: Specifies if the meeting should start getting livestreamed on start. - `PersistChat param.Field[bool]` Body param: If a meeting is set to persist_chat, meeting chat would remain for a week within the meeting space. - `RecordOnStart param.Field[bool]` Body param: Specifies if the meeting should start getting recorded as soon as someone joins the meeting. - `RecordingConfig param.Field[MeetingReplaceMeetingByIDParamsRecordingConfig]` Body param: Recording Configurations to be used for this meeting. This level of configs takes higher preference over App level configs on the RealtimeKit developer portal. - `AudioConfig MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfig` Object containing configuration regarding the audio that is being recorded. - `Channel MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigChannel` Audio signal pathway within an audio file that carries a specific sound source. - `const MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigChannelMono MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigChannel = "mono"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigChannelStereo MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigChannel = "stereo"` - `Codec MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigCodec` Codec using which the recording will be encoded. If VP8/VP9 is selected for videoConfig, changing audioConfig is not allowed. In this case, the codec in the audioConfig is automatically set to vorbis. - `const MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigCodecMP3 MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigCodec = "MP3"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigCodecAac MeetingReplaceMeetingByIDParamsRecordingConfigAudioConfigCodec = "AAC"` - `ExportFile bool` Controls whether to export audio file seperately - `FileNamePrefix string` Adds a prefix to the beginning of the file name of the recording. - `LiveStreamingConfig MeetingReplaceMeetingByIDParamsRecordingConfigLiveStreamingConfig` - `RtmpURL string` RTMP URL to stream to - `MaxSeconds float64` Specifies the maximum duration for recording in seconds, ranging from a minimum of 60 seconds to a maximum of 24 hours. - `RealtimekitBucketConfig MeetingReplaceMeetingByIDParamsRecordingConfigRealtimekitBucketConfig` - `Enabled bool` Controls whether recordings are uploaded to RealtimeKit's bucket. If set to false, `download_url`, `audio_download_url`, `download_url_expiry` won't be generated for a recording. - `StorageConfig MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfig` - `Type MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigType` Type of storage media. - `const MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigTypeAws MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigType = "aws"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigTypeAzure MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigType = "azure"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigTypeDigitalocean MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigType = "digitalocean"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigTypeGcs MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigType = "gcs"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigTypeSftp MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigType = "sftp"` - `AccessKey string` Access key of the storage medium. Access key is not required for the `gcs` storage media type. Note that this field is not readable by clients, only writeable. - `AuthMethod MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigAuthMethod` Authentication method used for "sftp" type storage medium - `const MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigAuthMethodKey MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigAuthMethod = "KEY"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigAuthMethodPassword MeetingReplaceMeetingByIDParamsRecordingConfigStorageConfigAuthMethod = "PASSWORD"` - `Bucket string` Name of the storage medium's bucket. - `Host string` SSH destination server host for SFTP type storage medium - `Password string` SSH destination server password for SFTP type storage medium when auth_method is "PASSWORD". If auth_method is "KEY", this specifies the password for the ssh private key. - `Path string` Path relative to the bucket root at which the recording will be placed. - `Port float64` SSH destination server port for SFTP type storage medium - `PrivateKey string` Private key used to login to destination SSH server for SFTP type storage medium, when auth_method used is "KEY" - `Region string` Region of the storage medium. - `Secret string` Secret key of the storage medium. Similar to `access_key`, it is only writeable by clients, not readable. - `Username string` SSH destination server username for SFTP type storage medium - `VideoConfig MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfig` - `Codec MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigCodec` Codec using which the recording will be encoded. - `const MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigCodecH264 MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigCodec = "H264"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigCodecVp8 MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigCodec = "VP8"` - `ExportFile bool` Controls whether to export video file seperately - `Height int64` Height of the recording video in pixels - `Watermark MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermark` Watermark to be added to the recording - `Position MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPosition` Position of the watermark - `const MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPositionLeftTop MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPosition = "left top"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPositionRightTop MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPosition = "right top"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPositionLeftBottom MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPosition = "left bottom"` - `const MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPositionRightBottom MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkPosition = "right bottom"` - `Size MeetingReplaceMeetingByIDParamsRecordingConfigVideoConfigWatermarkSize` Size of the watermark - `Height int64` Height of the watermark in px - `Width int64` Width of the watermark in px - `URL string` URL of the watermark image - `Width int64` Width of the recording video in pixels - `SessionKeepAliveTimeInSecs param.Field[float64]` Body param: Time in seconds, for which a session remains active, after the last participant has left the meeting. - `SummarizeOnEnd param.Field[bool]` Body param: Automatically generate summary of meetings using transcripts. Requires Transcriptions to be enabled, and can be retrieved via Webhooks or summary API. - `Title param.Field[string]` Body param: Title of the meeting ### Returns - `type MeetingReplaceMeetingByIDResponse struct{…}` - `Success bool` Success status of the operation - `Data MeetingReplaceMeetingByIDResponseData` Data returned by the operation - `ID string` ID of the meeting. - `CreatedAt Time` Timestamp the object was created at. The time is returned in ISO format. - `UpdatedAt Time` Timestamp the object was updated at. The time is returned in ISO format. - `AIConfig MeetingReplaceMeetingByIDResponseDataAIConfig` The AI Config allows you to customize the behavior of meeting transcriptions and summaries - `Summarization MeetingReplaceMeetingByIDResponseDataAIConfigSummarization` Summary Config - `SummaryType MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType` Defines the style of the summary, such as general, team meeting, or sales call. - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeGeneral MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "general"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeTeamMeeting MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "team_meeting"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeSalesCall MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "sales_call"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeClientCheckIn MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "client_check_in"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeInterview MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "interview"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeDailyStandup MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "daily_standup"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeOneOnOneMeeting MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "one_on_one_meeting"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeLecture MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "lecture"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryTypeCodeReview MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationSummaryType = "code_review"` - `TextFormat MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationTextFormat` Determines the text format of the summary, such as plain text or markdown. - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationTextFormatPlainText MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationTextFormat = "plain_text"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationTextFormatMarkdown MeetingReplaceMeetingByIDResponseDataAIConfigSummarizationTextFormat = "markdown"` - `WordLimit int64` Sets the maximum number of words in the meeting summary. - `Transcription MeetingReplaceMeetingByIDResponseDataAIConfigTranscription` Transcription Configurations - `Keywords []string` Adds specific terms to improve accurate detection during transcription. - `Language MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage` Specifies the language code for transcription to ensure accurate results. - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageEnUs MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "en-US"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageEnIn MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "en-IN"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageDe MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "de"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageHi MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "hi"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageSv MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "sv"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageRu MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "ru"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguagePl MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "pl"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageEl MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "el"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageFr MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "fr"` - `const MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguageNl MeetingReplaceMeetingByIDResponseDataAIConfigTranscriptionLanguage = "nl"` - `ProfanityFilter bool` Control the inclusion of offensive language in transcriptions. - `LiveStreamOnStart bool` Specifies if the meeting should start getting livestreamed on start. - `PersistChat bool` Specifies if Chat within a meeting should persist for a week. - `RecordOnStart bool` Specifies if the meeting should start getting recorded as soon as someone joins the meeting. - `RecordingConfig MeetingReplaceMeetingByIDResponseDataRecordingConfig` Recording Configurations to be used for this meeting. This level of configs takes higher preference over App level configs on the RealtimeKit developer portal. - `AudioConfig MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfig` Object containing configuration regarding the audio that is being recorded. - `Channel MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigChannel` Audio signal pathway within an audio file that carries a specific sound source. - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigChannelMono MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigChannel = "mono"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigChannelStereo MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigChannel = "stereo"` - `Codec MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigCodec` Codec using which the recording will be encoded. If VP8/VP9 is selected for videoConfig, changing audioConfig is not allowed. In this case, the codec in the audioConfig is automatically set to vorbis. - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigCodecMP3 MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigCodec = "MP3"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigCodecAac MeetingReplaceMeetingByIDResponseDataRecordingConfigAudioConfigCodec = "AAC"` - `ExportFile bool` Controls whether to export audio file seperately - `FileNamePrefix string` Adds a prefix to the beginning of the file name of the recording. - `LiveStreamingConfig MeetingReplaceMeetingByIDResponseDataRecordingConfigLiveStreamingConfig` - `RtmpURL string` RTMP URL to stream to - `MaxSeconds float64` Specifies the maximum duration for recording in seconds, ranging from a minimum of 60 seconds to a maximum of 24 hours. - `RealtimekitBucketConfig MeetingReplaceMeetingByIDResponseDataRecordingConfigRealtimekitBucketConfig` - `Enabled bool` Controls whether recordings are uploaded to RealtimeKit's bucket. If set to false, `download_url`, `audio_download_url`, `download_url_expiry` won't be generated for a recording. - `StorageConfig MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfig` - `Type MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigType` Type of storage media. - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigTypeAws MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigType = "aws"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigTypeAzure MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigType = "azure"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigTypeDigitalocean MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigType = "digitalocean"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigTypeGcs MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigType = "gcs"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigTypeSftp MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigType = "sftp"` - `AccessKey string` Access key of the storage medium. Access key is not required for the `gcs` storage media type. Note that this field is not readable by clients, only writeable. - `AuthMethod MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigAuthMethod` Authentication method used for "sftp" type storage medium - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigAuthMethodKey MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigAuthMethod = "KEY"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigAuthMethodPassword MeetingReplaceMeetingByIDResponseDataRecordingConfigStorageConfigAuthMethod = "PASSWORD"` - `Bucket string` Name of the storage medium's bucket. - `Host string` SSH destination server host for SFTP type storage medium - `Password string` SSH destination server password for SFTP type storage medium when auth_method is "PASSWORD". If auth_method is "KEY", this specifies the password for the ssh private key. - `Path string` Path relative to the bucket root at which the recording will be placed. - `Port float64` SSH destination server port for SFTP type storage medium - `PrivateKey string` Private key used to login to destination SSH server for SFTP type storage medium, when auth_method used is "KEY" - `Region string` Region of the storage medium. - `Secret string` Secret key of the storage medium. Similar to `access_key`, it is only writeable by clients, not readable. - `Username string` SSH destination server username for SFTP type storage medium - `VideoConfig MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfig` - `Codec MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigCodec` Codec using which the recording will be encoded. - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigCodecH264 MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigCodec = "H264"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigCodecVp8 MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigCodec = "VP8"` - `ExportFile bool` Controls whether to export video file seperately - `Height int64` Height of the recording video in pixels - `Watermark MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermark` Watermark to be added to the recording - `Position MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPosition` Position of the watermark - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPositionLeftTop MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPosition = "left top"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPositionRightTop MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPosition = "right top"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPositionLeftBottom MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPosition = "left bottom"` - `const MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPositionRightBottom MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkPosition = "right bottom"` - `Size MeetingReplaceMeetingByIDResponseDataRecordingConfigVideoConfigWatermarkSize` Size of the watermark - `Height int64` Height of the watermark in px - `Width int64` Width of the watermark in px - `URL string` URL of the watermark image - `Width int64` Width of the recording video in pixels - `SessionKeepAliveTimeInSecs float64` Time in seconds, for which a session remains active, after the last participant has left the meeting. - `Status MeetingReplaceMeetingByIDResponseDataStatus` Whether the meeting is `ACTIVE` or `INACTIVE`. Users will not be able to join an `INACTIVE` meeting. - `const MeetingReplaceMeetingByIDResponseDataStatusActive MeetingReplaceMeetingByIDResponseDataStatus = "ACTIVE"` - `const MeetingReplaceMeetingByIDResponseDataStatusInactive MeetingReplaceMeetingByIDResponseDataStatus = "INACTIVE"` - `SummarizeOnEnd bool` Automatically generate summary of meetings using transcripts. Requires Transcriptions to be enabled, and can be retrieved via Webhooks or summary API. - `Title string` Title of the meeting. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RealtimeKit.Meetings.ReplaceMeetingByID( context.TODO(), "app_id", "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", realtime_kit.MeetingReplaceMeetingByIDParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Success) } ``` #### Response ```json { "success": true, "data": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "updated_at": "2019-12-27T18:11:19.117Z", "ai_config": { "summarization": { "summary_type": "general", "text_format": "plain_text", "word_limit": 150 }, "transcription": { "keywords": [ "string" ], "language": "en-US", "profanity_filter": true } }, "live_stream_on_start": true, "persist_chat": true, "record_on_start": true, "recording_config": { "audio_config": { "channel": "mono", "codec": "MP3", "export_file": true }, "file_name_prefix": "file_name_prefix", "live_streaming_config": { "rtmp_url": "rtmp://a.rtmp.youtube.com/live2" }, "max_seconds": 60, "realtimekit_bucket_config": { "enabled": true }, "storage_config": { "type": "aws", "auth_method": "KEY", "bucket": "bucket", "host": "host", "password": "password", "path": "path", "port": 0, "private_key": "private_key", "region": "us-east-1", "secret": "secret", "username": "username" }, "video_config": { "codec": "H264", "export_file": true, "height": 720, "watermark": { "position": "left top", "size": { "height": 1, "width": 1 }, "url": "https://example.com" }, "width": 1280 } }, "session_keep_alive_time_in_secs": 60, "status": "ACTIVE", "summarize_on_end": true, "title": "title" } } ```